Memcache::getVersion
Memcache::pconnect
Fonctions Memcache
PHP Manual

# Memcache::increment

(PECL memcache:0.2-2.1.2)

Memcache::increment — Incrément la valeur d'un élément

### Description

int Memcache::increment ( string `$key` [, int `$value` ] )

Memcache::increment() incrémente la valeur d'un élément identifié par la clé `key` par la valeur `value` . Si l'élément identifié par la clé `key` n'est pas de type numérique et ne peut être converti en nombre, la valeur de cette élément sera défini à `value` . Memcache::increment() ne crée pas un élément s'il n'existe pas.

> Note: N'utilisez pas memcache::increment() avec les éléments stockés compressés. Dans ce cas, l'appel à la fonction Memcache::get() échouera.

Vous pouvez également utiliser la fonction memcache_increment().

### Liste de paramètres

`key`

  Clé de l'élément à incrémenter.

`value`

  Incrémente l'élément par `value` . Optionnel et vaut par défaut 1.

### Valeurs de retour

Retourne la valeur du nouvel élément en cas de succès ou `FALSE` en cas d'échec.

### Exemples

Exemple #1 Exemple avec Memcache::increment()

`<?php
/* API procédurale */
$memcache_obj = memcache_connect('memcache_host', 11211);
/* incrémentation du compteur de 2 */
$current_value = memcache_increment($memcache_obj, 'counter', 2);
/* API orientée objet */
$memcache_obj = new Memcache;
$memcache_obj->connect('memcache_host', 11211);
/* incrémentation du compteur de 3 */
$current_value = $memcache_obj->increment('counter', 3);
?>`

### Voir aussi

- Memcache::decrement()
- Memcache::replace()

Memcache::getVersion
Memcache::pconnect
Fonctions Memcache
PHP Manual